Skip to main content
`Ctrl`+`K`

# pandas.DatetimeIndex.to_pydatetime

DatetimeIndex.to_pydatetime(*args, **kwargs)

  Return an ndarray of `datetime.datetime` objects.

  Returns:
    numpy.ndarray

  Examples

      >>> idx = pd.date_range('2018-02-27', periods=3)
      >>> idx.to_pydatetime()
      array([datetime.datetime(2018, 2, 27, 0, 0),
             datetime.datetime(2018, 2, 28, 0, 0),
             datetime.datetime(2018, 3, 1, 0, 0)], dtype=object)